Package org.apache.tiles.request.jsp

# Class JspPrintWriterAdapter

java.lang.Object
java.io.Writer
java.io.PrintWriter
org.apache.tiles.request.jsp.JspPrintWriterAdapter

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

public class JspPrintWriterAdapter extends PrintWriter
Adapts a `JspWriter` to a `PrintWriter`, swallowing `IOException`.

- ## Field Summary

  ### Fields inherited from class java.io.PrintWriter

  `out`

  ### Fields inherited from class java.io.Writer

  `lock`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JspPrintWriterAdapter(jakarta.servlet.jsp.JspWriter writer)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PrintWriter`
  `append(char c)`
  `PrintWriter`
  `append(CharSequence csq)`
  `PrintWriter`
  `append(CharSequence csq, int start, int end)`
  `void`
  `close()`
  `void`
  `flush()`
  `void`
  `print(boolean b)`
  `void`
  `print(char c)`
  `void`
  `print(char[] s)`
  `void`
  `print(double d)`
  `void`
  `print(float f)`
  `void`
  `print(int i)`
  `void`
  `print(long l)`
  `void`
  `print(Object obj)`
  `void`
  `print(String s)`
  `void`
  `println()`
  `void`
  `println(boolean x)`
  `void`
  `println(char x)`
  `void`
  `println(char[] x)`
  `void`
  `println(double x)`
  `void`
  `println(float x)`
  `void`
  `println(int x)`
  `void`
  `println(long x)`
  `void`
  `println(Object x)`
  `void`
  `println(String x)`
  `void`
  `write(char[] buf)`
  `void`
  `write(char[] buf, int off, int len)`
  `void`
  `write(int c)`
  `void`
  `write(String s)`
  `void`
  `write(String s, int off, int len)`

  ### Methods inherited from class java.io.PrintWriter

  `checkError, clearError, format, format, printf, printf, setError`

  ### Methods inherited from class java.io.Writer

  `nullWriter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JspPrintWriterAdapter

    public JspPrintWriterAdapter(jakarta.servlet.jsp.JspWriter writer)
    Constructor.
    Parameters:
      `writer` - The JSP writer.

- ## Method Details

  - ### append

    public PrintWriter append(char c)
    Specified by:
      `append` in interface `Appendable`
    Overrides:
      `append` in class `PrintWriter`

  - ### append

    public PrintWriter append(CharSequence csq, int start, int end)
    Specified by:
      `append` in interface `Appendable`
    Overrides:
      `append` in class `PrintWriter`

  - ### append

    public PrintWriter append(CharSequence csq)
    Specified by:
      `append` in interface `Appendable`
    Overrides:
      `append` in class `PrintWriter`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `PrintWriter`

  - ### flush

    public void flush()
    Specified by:
      `flush` in interface `Flushable`
    Overrides:
      `flush` in class `PrintWriter`

  - ### print

    public void print(boolean b)
    Overrides:
      `print` in class `PrintWriter`

  - ### print

    public void print(char c)
    Overrides:
      `print` in class `PrintWriter`

  - ### print

    public void print(char[] s)
    Overrides:
      `print` in class `PrintWriter`

  - ### print

    public void print(double d)
    Overrides:
      `print` in class `PrintWriter`

  - ### print

    public void print(float f)
    Overrides:
      `print` in class `PrintWriter`

  - ### print

    public void print(int i)
    Overrides:
      `print` in class `PrintWriter`

  - ### print

    public void print(long l)
    Overrides:
      `print` in class `PrintWriter`

  - ### print

    public void print(Object obj)
    Overrides:
      `print` in class `PrintWriter`

  - ### print

    public void print(String s)
    Overrides:
      `print` in class `PrintWriter`

  - ### println

    public void println()
    Overrides:
      `println` in class `PrintWriter`

  - ### println

    public void println(boolean x)
    Overrides:
      `println` in class `PrintWriter`

  - ### println

    public void println(char x)
    Overrides:
      `println` in class `PrintWriter`

  - ### println

    public void println(char[] x)
    Overrides:
      `println` in class `PrintWriter`

  - ### println

    public void println(double x)
    Overrides:
      `println` in class `PrintWriter`

  - ### println

    public void println(float x)
    Overrides:
      `println` in class `PrintWriter`

  - ### println

    public void println(int x)
    Overrides:
      `println` in class `PrintWriter`

  - ### println

    public void println(long x)
    Overrides:
      `println` in class `PrintWriter`

  - ### println

    public void println(Object x)
    Overrides:
      `println` in class `PrintWriter`

  - ### println

    public void println(String x)
    Overrides:
      `println` in class `PrintWriter`

  - ### write

    public void write(char[] buf, int off, int len)
    Overrides:
      `write` in class `PrintWriter`

  - ### write

    public void write(char[] buf)
    Overrides:
      `write` in class `PrintWriter`

  - ### write

    public void write(int c)
    Overrides:
      `write` in class `PrintWriter`

  - ### write

    public void write(String s, int off, int len)
    Overrides:
      `write` in class `PrintWriter`

  - ### write

    public void write(String s)
    Overrides:
      `write` in class `PrintWriter`